Include logs, monitors.xml and org.gnome.desktop.* settings in the apport-retrace data

Bug #1722886 reported by Marco Trevisan (Treviño) on 2017-10-11
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gnome-shell (Ubuntu)
Medium
Marco Trevisan (Treviño)
Disco
Medium
Marco Trevisan (Treviño)

Bug Description

[ Description ]

When the shell crashes missing relevant shell data is not attached.

[ Test case ]

Run:
 $ ubuntu-bug --save=/tmp/shell-apport-data gnome-shell

It should return non-empty strings such as:

grep "monitors\.xml:\|ShellJournal:\|RelatedPackageVersions:" /tmp/shell-apport-data -2
 SHELL=/bin/bash
RelatedPackageVersions: mutter-common 3.32.2-0ubuntu1
ShellJournal:
 -- Logs begin at Fri 2018-11-16 19:45:37 CET, end at Fri 2019-06-28 13:46:01 CEST. --
 [306535.951329] tricky gnome-shell[13215]: [AppIndicatorSupport-DEBUG] Registering StatusNotifierItem :1.2886/org/ayatana/NotificationItem/software_update_available
--
UpgradeStatus: Upgraded to disco on 2019-06-20 (8 days ago)
_MarkForUpload: True
monitors.xml:
 <monitors version="2">
   <configuration>

While monitors.xml: stuff is optional (depending on the presence of the file), the other fields should always be there.

[ Regression potential ]

Nothing know, it won't in anyway affect the shell behavior

---

When a bug is submitted to ubuntu about gnome-shell it would be convenient to have such settings.

Monitors.xml is quite important to understand the configuration for mutter-related crashes, while other desktop settings (to be filtered-out) could be needed too.

Ah, also the logs from
  journalctl /usr/bin/gnome-shell -b -o short-iso

Proposed fix at https://salsa.debian.org/gnome-team/gnome-shell/merge_requests/23/

description: updated
summary: - Include monitors.xml and org.gnome.desktop.* settings in the apport-
- retrace data
+ Include logs, monitors.xml and org.gnome.desktop.* settings in the
+ apport-retrace data
Didier Roche (didrocks) on 2017-10-13
description: updated
Didier Roche (didrocks) on 2019-02-12
Changed in gnome-shell (Ubuntu):
assignee: Didier Roche (didrocks) → nobody
Changed in gnome-shell (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: Confirmed → In Progress
Daniel van Vugt (vanvugt) wrote :

I'm not sure monitors.xml is any more useful than the xrandr output we already get... unless xrandr output is missing from crash bugs?

Xrandr output is missing from logs currently, but in any case the configuration is something that we might try to apply anyways also outside X11, so better to have this anyways.

description: updated
Daniel van Vugt (vanvugt) wrote :

Yes it makes sense if the shell crashes then very likely you have no Xorg server to run xrandr against :)

Launchpad Janitor (janitor) wrote :
Download full text (3.6 KiB)

This bug was fixed in the package gnome-shell - 3.32.2-2ubuntu1

---------------
gnome-shell (3.32.2-2ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled

gnome-shell (3.32.2-2) experimental; urgency=medium

  * debian/source_gnome-shell.py:
    + Add more informations that we might need to debug information i...

Read more...

Changed in gnome-shell (Ubuntu):
status: In Progress → Fix Released
description: updated
Changed in gnome-shell (Ubuntu Disco):
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)

Hello Marco, or anyone else affected,

Accepted gnome-shell into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.32.2-2ubuntu1~ubuntu19.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-disco

Verified here:

marco@ubuntu-vmware:~:✓ $ apt-cache policy gnome-shell
gnome-shell:
  Installed: 3.32.2-2ubuntu1~ubuntu19.04.1
  Candidate: 3.32.2-2ubuntu1~ubuntu19.04.1
  Version table:
 *** 3.32.2-2ubuntu1~ubuntu19.04.1 500
        500 http://archive.ubuntu.com/ubuntu disco-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     3.32.1-1ubuntu1~19.04.1 500
        500 http://archive.ubuntu.com/ubuntu disco-updates/main amd64 Packages
     3.32.0+git20190410-1ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu disco/main amd64 Packages
marco@ubuntu-vmware:~:✓ $ ubuntu-bug --save=/tmp/shell-apport-data gnome-shell

*** Collecting problem information

The collected information can be sent to the developers to improve the
application. This might take a few minutes.
...................................................................................
marco@ubuntu-vmware:~:✓ $ grep "monitors\.xml:\|ShellJournal:\|RelatedPackageVersions:" /tmp/shell-apport-data -2
 LC_PAPER=it_IT.UTF-8
ProcVersionSignature: Ubuntu 5.0.0-20.21-generic 5.0.8
RelatedPackageVersions: mutter-common 3.32.2+git20190711-2ubuntu1~19.04.1
ShellJournal:
 -- Logs begin at Fri 2019-04-12 21:27:58 CEST, end at Tue 2019-07-30 02:26:30 CEST. --
 [ 16.675670] ubuntu-vmware gnome-shell[1835]: g_dir_open_with_errno: assertion 'path != NULL' failed
--
UpgradeStatus: No upgrade log present (probably fresh install)
_MarkForUpload: True
monitors.xml:
 <monitors version="2">
   <configuration>

tags: added: verification-done verification-done-disco
removed: verification-needed verification-needed-disco

The verification of the Stable Release Update for gnome-shell has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :
Download full text (6.9 KiB)

This bug was fixed in the package gnome-shell - 3.32.2-2ubuntu1~ubuntu19.04.1

---------------
gnome-shell (3.32.2-2ubuntu1~ubuntu19.04.1) disco; urgency=medium

  * No-change SRU backport from eoan to disco. (LP: #1834517)

gnome-shell (3.32.2-2ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      - Show monitor scaled cursor when magnifier is enabled

gnome-shell ...

Read more...

Changed in gnome-shell (Ubuntu Disco):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers